Linux Installation Instructions

BC3 logo BC version 3 or 4


Debian, Ubuntu

Beyond Compare 4.1 and newer require matching package and OS architecture (amd64.deb or i386.deb).  Beyond Compare 3 - 4.0.7 require the i386.deb package on all supported versions of Debian and Ubuntu (32-bit and 64-bit).

Beyond Compare 3 on Debian 7, 8 64-bit

Enable 32-bit architecture support: sudo dpkg --add-architecture i386

Graphical Install

Double click on the .deb package to install using the graphical package manager.

Terminal Install

wget http://www.scootersoftware.com/bcompare-4.1.9.21719_amd64.deb
sudo apt-get update
sudo apt-get install gdebi-core
sudo gdebi bcompare-4.1.9.21719_amd64.deb

Terminal Uninstall

sudo apt-get remove bcompare


Redhat Enterprise Linux, Fedora, CentOS

Beyond Compare 4.1 and newer require matching package and OS architecture (x86_64.rpm or i386.rpm).  Beyond Compare 3 - 4.0.7 require the i386.rpm package on all supported versions of RHEL, Fedora and CentOS (32-bit and 64-bit).

Graphical Install

Double click on the .rpm package to install using the graphical package manager.

Terminal Install

wget http://www.scootersoftware.com/bcompare-4.1.9.21719.x86_64.rpm
su
rpm --import http://www.scootersoftware.com/RPM-GPG-KEY-scootersoftware
yum install bcompare-4.1.9.21719.x86_64.rpm

Terminal Uninstall

su
yum remove bcompare


openSUSE

Beyond Compare 4.1 and newer require matching package and OS architecture (x86_64.rpm or i386.rpm).  Beyond Compare 3 - 4.0.7 require the i386.rpm package on all versions of openSUSE (32-bit and 64-bit).

Terminal Install

su
rpm --import https://secure.scootersoftware.com/RPM-GPG-KEY-scootersoftware
zypper refresh
zypper install http://www.scootersoftware.com/bcompare-4.1.9.21719.x86_64.rpm

Terminal Uninstall

su
zypper remove bcompare


Installation using .tar.gz

This is the only install method that allows installation by non-root users.  It is also appropriate for Linux distributions that don't support .deb or .rpm packages.  This method requires manual installation of dependencies, so if your distribution supports .deb or .rpm, you should use those packages instead of .tar.gz.

If you run the .tar.gz installer as root, Beyond Compare is installed system wide.  If you run the .tar.gz installer as a normal user, it is installed in the current user's home directory.

BC4 logo BC version 4

Version:  4.1.9, build 21719, released Sept. 30, 2016
.64-bit TAR.GZ format   14498kb
.32-bit TAR.GZ format   13884kb

BC3 logo BC version 3

Version:  3.3.13, build 18981, released Oct. 1, 2014
.TAR.GZ format   10175kb

Terminal Install

tar zxvf bcompare-4.1.9.21719.i386.tar.gz
cd bcompare-4.1.9.21719
./install.sh

Terminal Uninstall (installed as normal user)

$HOME/lib/beyondcompare/uninstall.sh

Terminal Uninstall (installed as root)

su
/usr/lib/beyondcompare/uninstall.sh


See also Tips for using BC on Linux.

Copyright © 2017 Scooter Software, Inc.